r14792 - gnucash/trunk/packaging/win32 - Readd expat-bin (xmlparse, xmltok), freetype-dev, jpeg-bin and

Andreas Köhler andi5 at cvs.gnucash.org
Sun Sep 3 17:08:38 EDT 2006


Author: andi5
Date: 2006-09-03 17:08:37 -0400 (Sun, 03 Sep 2006)
New Revision: 14792
Trac: http://svn.gnucash.org/trac/changeset/14792

Modified:
   gnucash/trunk/packaging/win32/custom.sh
   gnucash/trunk/packaging/win32/install.sh
Log:
Readd expat-bin (xmlparse,xmltok), freetype-dev, jpeg-bin and
zlib-dev. Correct libxml-2.0.pc.


Modified: gnucash/trunk/packaging/win32/custom.sh
===================================================================
--- gnucash/trunk/packaging/win32/custom.sh	2006-09-03 20:14:07 UTC (rev 14791)
+++ gnucash/trunk/packaging/win32/custom.sh	2006-09-03 21:08:37 UTC (rev 14792)
@@ -51,12 +51,16 @@
 LIBXML2_URL="http://www.zlatkovic.com/pub/libxml/libxml2-2.6.26.win32.zip"
 LIBXML2_DIR=$GLOBAL_DIR\\gnome #avoid XML_FLAGS
 
+EXPAT_URL="ftp://ftp.jclark.com/pub/xml/expat.zip"
+EXPAT_DIR=$GLOBAL_DIR\\gnome #avoid EXPAT_FLAGS
+
 GNOME_WIN32_URL="$GNOME_MIRROR/binaries/win32"
 GETTEXT_URL="$GTK_MIRROR/glib/2.12/win32/dependencies/gettext-0.14.5.zip"
 GETTEXT_DEV_URL="$GTK_MIRROR/glib/2.12/win32/dependencies/gettext-dev-0.14.5.zip"
 LIBICONV_URL="$GTK_MIRROR/glib/2.12/win32/dependencies/libiconv-1.9.1.bin.woe32.zip"
 GLIB_URL="$GNOME_WIN32_URL/glib/2.12/glib-2.12.1.zip"
 GLIB_DEV_URL="$GNOME_WIN32_URL/glib/2.12/glib-dev-2.12.1.zip"
+LIBJPEG_URL="$GNOME_MIRROR/platform/2.13/2.13.92/win32/dependencies/libjpeg-6b-4.zip"
 LIBPNG_URL="$GTK_MIRROR/gtk/v2.10/win32/dependencies/libpng-1.2.8-bin.zip"
 ZLIB_URL="$GTK_MIRROR/gtk/v2.10/win32/dependencies/zlib123-dll.zip"
 PKG_CONFIG_URL="$GTK_MIRROR/gtk/v2.10/win32/dependencies/pkg-config-0.20.zip"
@@ -65,6 +69,7 @@
 FONTCONFIG_URL="$GTK_MIRROR/gtk/v2.8/win32/dependencies/fontconfig-2.2.2-20040412.zip"
 FONTCONFIG_DEV_URL="$GTK_MIRROR/gtk/v2.8/win32/dependencies/fontconfig-dev-2.2.2-20040412.zip"
 FREETYPE_URL="$GTK_MIRROR/gtk/v2.8/win32/dependencies/freetype-2.1.10.zip"
+FREETYPE_DEV_URL="$SF_MIRROR/gnuwin32/freetype-2.1.10-lib.zip"
 ATK_URL="$GNOME_WIN32_URL/atk/1.11/atk-1.11.4.zip"
 ATK_DEV_URL="$GNOME_WIN32_URL/atk/1.11/atk-dev-1.11.4.zip"
 PANGO_URL="$GNOME_WIN32_URL/pango/1.12/pango-1.12.3.zip"
@@ -134,6 +139,7 @@
 add_step inst_openssl
 add_step inst_pexports
 add_step inst_libxml2
+add_step inst_expat
 add_step inst_gnome
 add_step inst_gwrap
 add_step inst_autotools

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2006-09-03 20:14:07 UTC (rev 14791)
+++ gnucash/trunk/packaging/win32/install.sh	2006-09-03 21:08:37 UTC (rev 14792)
@@ -355,22 +355,39 @@
             mkdir -p lib/pkgconfig
             cat > lib/pkgconfig/libxml-2.0.pc <<EOF
 prefix=/ignore
-exec_prefix=${prefix}
-libdir=${exec_prefix}/lib
-includedir=${prefix}/include
+exec_prefix=\${prefix}
+libdir=\${exec_prefix}/lib
+includedir=\${prefix}/include
 
 Name: libXML
 Version: $_LIBXML2_VERSION
 Description: libXML library version2.
 Requires:
-Libs: -L${libdir} -lxml2 -lz
-Cflags: -I${includedir}
+Libs: -L\${libdir} -lxml2 -lz
+Cflags: -I\${includedir}
 EOF
         qpopd
     fi
     quiet ld -L$_LIBXML2_UDIR/lib -lxml2 -o $TMP_UDIR/ofile || die "libxml2 not installed correctly"
 }
 
+function inst_expat() {
+    setup Expat
+    _EXPAT_UDIR=`unix_path $EXPAT_DIR`
+    add_to_env $_EXPAT_UDIR/bin PATH
+    if quiet which xmlwf
+    then
+        echo "expat already installed.  skipping."
+    else
+        wget_unpacked $EXPAT_URL $DOWNLOAD_DIR $EXPAT_DIR
+        qpushd $EXPAT_DIR
+            cp -r expat/* .
+            rm -rf expat
+        qpopd
+    fi
+    quiet which xmlwf || die "expat not installed correctly"
+}
+
 function inst_gnome() {
     setup Gnome platform
     _GNOME_UDIR=`unix_path $GNOME_DIR`
@@ -391,6 +408,7 @@
 	wget_unpacked $LIBICONV_URL $DOWNLOAD_DIR $GNOME_DIR
 	wget_unpacked $GLIB_URL $DOWNLOAD_DIR $GNOME_DIR
 	wget_unpacked $GLIB_DEV_URL $DOWNLOAD_DIR $GNOME_DIR
+	wget_unpacked $LIBJPEG_URL $DOWNLOAD_DIR $GNOME_DIR
 	wget_unpacked $LIBPNG_URL $DOWNLOAD_DIR $GNOME_DIR
 	wget_unpacked $ZLIB_URL $DOWNLOAD_DIR $GNOME_DIR
 	wget_unpacked $PKG_CONFIG_URL $DOWNLOAD_DIR $GNOME_DIR
@@ -399,6 +417,7 @@
 	wget_unpacked $FONTCONFIG_URL $DOWNLOAD_DIR $GNOME_DIR
 	wget_unpacked $FONTCONFIG_DEV_URL $DOWNLOAD_DIR $GNOME_DIR
 	wget_unpacked $FREETYPE_URL $DOWNLOAD_DIR $GNOME_DIR
+	wget_unpacked $FREETYPE_DEV_URL $DOWNLOAD_DIR $GNOME_DIR
 	wget_unpacked $ATK_URL $DOWNLOAD_DIR $GNOME_DIR
 	wget_unpacked $ATK_DEV_URL $DOWNLOAD_DIR $GNOME_DIR
 	wget_unpacked $PANGO_URL $DOWNLOAD_DIR $GNOME_DIR
@@ -438,6 +457,7 @@
 	wget_unpacked $GTKHTML_DEV_URL $DOWNLOAD_DIR $GNOME_DIR
         qpushd $GNOME_DIR
             [ -f bin/zlib1.dll ] || mv zlib1.dll bin
+            [ -f lib/libz.dll.a ] || dlltool -D bin/zlib1.dll -d lib/zlib.def -l lib/libz.dll.a
         qpopd
     fi
     quiet gconftool-2 --version &&



More information about the gnucash-changes mailing list